Bug 72985 - EDITING: mismanagement of the "Object with no fill and no line" Images style
Summary: EDITING: mismanagement of the "Object with no fill and no line" Images style
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Styles
  Show dependency treegraph
 
Reported: 2013-12-23 10:35 UTC by pierre-yves samyn
Modified: 2021-08-27 04:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
ObjectNoFillNoLine.odp (object with french & spanish styles) (16.02 KB, application/vnd.oasis.opendocument.text)
2013-12-23 10:35 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2013-12-23 10:35:00 UTC
Created attachment 91149 [details]
ObjectNoFillNoLine.odp (object with french & spanish styles)

Hello

The "Object with no fill and no line" Images style is not correctly stored when applied on an object.

Steps to reproduce:

1. File> New> Presentation
2. Draw an objet (e.g. rectangle), type some text (e.g. Foo)
3. Format> Styles and formatting, select "Image styles"
4. Double click on "Object with no fill and no line"
5. Save then close the presentation
6. Unzip to edit styles.xml

Expected result:
style:style style:name="objectwithnofillandnoline"

Actual result:
style:style style:name="Object_20_with_20_no_20_fill_20_and_20_no_20_line"

7. Edit content.xml

Expected result:
style:style style:name="gr1" style:family="graphic" style:parent-style-name="objectwithnofillandnoline">

Actual result:
style:style style:name="gr1" style:family="graphic" style:parent-style-name="Object_20_with_20_no_20_fill_20_and_20_no_20_line">

This bug is very annoying because it does not allow the translation of the style name in a language other than English.

A custom style is created for each interface language used

8.Tools> Options> Language Settings> Languages> UI select French (for example)
9.Quit, restart, reload the document

Actual result: Rectangle with "Objet sans remplissage et sans ligne" style (translated name)

Expected result: "Object with no fill and no line" (custom style) is created

It is *not* a localization problem (string Ok) and it occurs with other languages.

See the "ObjectNoFillNoLine.dop" attached (test with french & spanish)

Regards
Pierre-Yves
Comment 1 pierre-yves samyn 2013-12-23 10:43:30 UTC
Sorry to step 9 should read (inversion):

Expected result: Rectangle with "Objet sans remplissage et sans ligne" style (translated name)

Actual result: "Object with no fill and no line" (custom style) is created


Pierre-Yves
Comment 2 sophie 2013-12-23 10:47:18 UTC
Thank you Pierre-Yves for your detailed report :) Confirmed - Set on New - Sophie
Comment 3 QA Administrators 2015-04-19 03:23:09 UTC Comment hidden (obsolete)
Comment 4 pierre-yves samyn 2015-04-19 06:35:31 UTC
Hi

Still reproduced on windows 7/64 & Version: 4.4.3.1
Build ID: b2f347f2ac68821efc00b6f1793cda90af748118
Locale: fr_FR

Regards
Pierre-Yves
Comment 5 QA Administrators 2016-09-20 09:24:35 UTC Comment hidden (obsolete)
Comment 6 pierre-yves samyn 2016-09-21 06:55:55 UTC
Hi

Still reproduced on windows 7/64 & Version: 5.2.1.2
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
Locale: fr-FR (fr_FR); Calc: group

Regards
Pierre-Yves
Comment 7 Xisco Faulí 2017-09-29 08:53:19 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2021-08-27 04:04:54 UTC
Dear pierre-yves samyn,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug